pandoc-lua-marshal-0.3.0: Use pandoc types in Lua

Copyright | © 2021-2024 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb+pandoc@moltkeplatz.de>
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Lua.Marshal.Format

Description

Marshaling/unmarshaling functions of `Format` values.

Synopsis

- peekFormat :: Peeker e Format
- pushFormat :: Pusher e Format

# Documentation

peekFormat :: Peeker e Format #

Retrieves a `Format` value from a string.

pushFormat :: Pusher e Format #

Pushes a `Format` value as a string.